<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>Platform (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Platform (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/NoCapablePlatformException.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformCommandManager.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/Platform.html" target="_top">Frames</a></li>
<li><a href="Platform.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extension.platform</div>
<h2 title="Interface Platform" class="title">Interface Platform</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extension/platform/MultiUserPlatform.html" title="interface in com.sk89q.worldedit.extension.platform">MultiUserPlatform</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlatform.html" title="class in com.sk89q.worldedit.extension.platform">AbstractPlatform</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Platform</span></pre>
<div class="block">Represents a platform that WorldEdit has been implemented for.

 <p>It is strongly recommended that implementations extend from
 <a href="../../../../../com/sk89q/worldedit/extension/platform/AbstractPlatform.html" title="class in com.sk89q.worldedit.extension.platform"><code>AbstractPlatform</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform">Capability</a>,<a href="../../../../../com/sk89q/worldedit/extension/platform/Preference.html" title="enum in com.sk89q.worldedit.extension.platform">Preference</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getCapabilities--">getCapabilities</a></span>()</code>
<div class="block">Get a map of advertised capabilities of this platform, where each key
 in the given map is a supported capability and the respective value
 indicates the preference for this platform for that given capability.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Get the configuration from this platform.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/DataFixer.html" title="interface in com.sk89q.worldedit.world">DataFixer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getDataFixer--">getDataFixer</a></span>()</code>
<div class="block">Get a DataFixer capable of upgrading old data.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getDataVersion--">getDataVersion</a></span>()</code>
<div class="block">Gets the Minecraft data version being used by the platform.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getPlatformName--">getPlatformName</a></span>()</code>
<div class="block">Get a friendly name of the platform.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getPlatformVersion--">getPlatformVersion</a></span>()</code>
<div class="block">Get the version of the platform, which can be anything.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html" title="interface in com.sk89q.worldedit.world.registry">Registries</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getRegistries--">getRegistries</a></span>()</code>
<div class="block">Gets the registry holder.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getVersion--">getVersion</a></span>()</code>
<div class="block">Get the version of WorldEdit that this platform provides.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;? extends <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getWorlds--">getWorlds</a></span>()</code>
<div class="block">Get a list of available or loaded worlds.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#isValidMobType-java.lang.String-">isValidMobType</a></span>(java.lang.String&nbsp;type)</code>
<div class="block">Checks if a mob type is valid.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#matchPlayer-com.sk89q.worldedit.entity.Player-">matchPlayer</a></span>(<a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</code>
<div class="block">Create a duplicate of the given player.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#matchWorld-com.sk89q.worldedit.world.World-">matchWorld</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Create a duplicate of the given world.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#registerCommands-org.enginehub.piston.CommandManager-">registerCommands</a></span>(org.enginehub.piston.CommandManager&nbsp;commandManager)</code>
<div class="block">Register the commands contained within the given command manager.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#registerGameHooks--">registerGameHooks</a></span>()</code>
<div class="block">Register game hooks.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#reload--">reload</a></span>()</code>
<div class="block">Reload WorldEdit configuration.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#schedule-long-long-java.lang.Runnable-">schedule</a></span>(long&nbsp;delay,
        long&nbsp;period,
        java.lang.Runnable&nbsp;task)</code>
<div class="block">Schedules the given <code>task</code> to be invoked once every
 <code>period</code> ticks after an initial delay of <code>delay</code> ticks.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRegistries--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRegistries</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/registry/Registries.html" title="interface in com.sk89q.worldedit.world.registry">Registries</a>&nbsp;getRegistries()</pre>
<div class="block">Gets the registry holder.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The registry holder</dd>
</dl>
</li>
</ul>
<a name="getDataVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataVersion</h4>
<pre>int&nbsp;getDataVersion()</pre>
<div class="block">Gets the Minecraft data version being used by the platform.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the data version</dd>
</dl>
</li>
</ul>
<a name="getDataFixer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataFixer</h4>
<pre><a href="../../../../../com/sk89q/worldedit/world/DataFixer.html" title="interface in com.sk89q.worldedit.world">DataFixer</a>&nbsp;getDataFixer()</pre>
<div class="block">Get a DataFixer capable of upgrading old data.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a data fixer, or null if not supported by this platform</dd>
</dl>
</li>
</ul>
<a name="isValidMobType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidMobType</h4>
<pre>boolean&nbsp;isValidMobType(java.lang.String&nbsp;type)</pre>
<div class="block">Checks if a mob type is valid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - The mob type name to check</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Whether the name is a valid mod type</dd>
</dl>
</li>
</ul>
<a name="reload--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reload</h4>
<pre>void&nbsp;reload()</pre>
<div class="block">Reload WorldEdit configuration.</div>
</li>
</ul>
<a name="schedule-long-long-java.lang.Runnable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>schedule</h4>
<pre>int&nbsp;schedule(long&nbsp;delay,
             long&nbsp;period,
             java.lang.Runnable&nbsp;task)</pre>
<div class="block">Schedules the given <code>task</code> to be invoked once every
 <code>period</code> ticks after an initial delay of <code>delay</code> ticks.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>delay</code> - Delay in server ticks before executing first repeat</dd>
<dd><code>period</code> - Period in server ticks of the task</dd>
<dd><code>task</code> - Task to be executed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Task id number (-1 if scheduling failed)</dd>
</dl>
</li>
</ul>
<a name="getWorlds--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorlds</h4>
<pre>java.util.List&lt;? extends <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&gt;&nbsp;getWorlds()</pre>
<div class="block">Get a list of available or loaded worlds.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of worlds</dd>
</dl>
</li>
</ul>
<a name="matchPlayer-com.sk89q.worldedit.entity.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matchPlayer</h4>
<pre>@Nullable
<a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;matchPlayer(<a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player)</pre>
<div class="block">Create a duplicate of the given player.

 <p>The given player may have been provided by a different platform.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the player to match</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a matched player, otherwise null</dd>
</dl>
</li>
</ul>
<a name="matchWorld-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matchWorld</h4>
<pre>@Nullable
<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;matchWorld(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Create a duplicate of the given world.

 <p>The given world may have been provided by a different platform.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world to match</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a matched world, otherwise null</dd>
</dl>
</li>
</ul>
<a name="registerCommands-org.enginehub.piston.CommandManager-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerCommands</h4>
<pre>void&nbsp;registerCommands(org.enginehub.piston.CommandManager&nbsp;commandManager)</pre>
<div class="block">Register the commands contained within the given command manager.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>commandManager</code> - the command manager</dd>
</dl>
</li>
</ul>
<a name="registerGameHooks--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerGameHooks</h4>
<pre>void&nbsp;registerGameHooks()</pre>
<div class="block">Register game hooks.</div>
</li>
</ul>
<a name="getConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfiguration</h4>
<pre><a href="../../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;getConfiguration()</pre>
<div class="block">Get the configuration from this platform.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the configuration</dd>
</dl>
</li>
</ul>
<a name="getVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre>java.lang.String&nbsp;getVersion()</pre>
<div class="block">Get the version of WorldEdit that this platform provides.

 <p>This version should match WorldEdit releases because it may be
 checked to match.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the version</dd>
</dl>
</li>
</ul>
<a name="getPlatformName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatformName</h4>
<pre>java.lang.String&nbsp;getPlatformName()</pre>
<div class="block">Get a friendly name of the platform.

 <p>The name can be anything (reasonable). An example name may be
 "Bukkit" or "Forge".</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the platform name</dd>
</dl>
</li>
</ul>
<a name="getPlatformVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatformVersion</h4>
<pre>java.lang.String&nbsp;getPlatformVersion()</pre>
<div class="block">Get the version of the platform, which can be anything.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the platform version</dd>
</dl>
</li>
</ul>
<a name="getCapabilities--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getCapabilities</h4>
<pre>java.util.Map&lt;<a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform">Capability</a>,<a href="../../../../../com/sk89q/worldedit/extension/platform/Preference.html" title="enum in com.sk89q.worldedit.extension.platform">Preference</a>&gt;&nbsp;getCapabilities()</pre>
<div class="block">Get a map of advertised capabilities of this platform, where each key
 in the given map is a supported capability and the respective value
 indicates the preference for this platform for that given capability.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a map of capabilities</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/NoCapablePlatformException.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformCommandManager.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/Platform.html" target="_top">Frames</a></li>
<li><a href="Platform.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
